For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Global Payroll
    • Introduction
    • Time Tracking
    • Adjustments
  • Common Use Cases
    • Reimburse expenses
  • Endpoints
      • POSTCreate a New Shift Rate
      • DELDelete a Shift Rate by external ID
      • POSTGenerate timesheet upload url
      • GETRetrieve a Paginated List of Shift Rates
      • GETRetrieve a Shift Rate by External ID
      • GETRetrieve a timesheet
      • POSTReview a submitted timesheet
      • PATCHUpdate a shift rate
LogoLogo
SupportDeel Home
EndpointsTime Tracking

Retrieve a Shift Rate by External ID

GET
/time_tracking/shift_rates/:external_id
GET
/rest/v2/time_tracking/shift_rates/:external_id
$curl https://api.letsdeel.com/rest/v2/time_tracking/shift_rates/external_id1 \
> -H "Authorization: Bearer <token>"
1{
2 "data": {
3 "name": "Night Shift Bonus",
4 "type": "MULTIPLIER_PERCENTAGE",
5 "value": 80.2,
6 "external_id": "rate-1234"
7 }
8}

Retrieves a shift rate. Token scopes: time-tracking:read

Was this page helpful?
Previous

Retrieve a timesheet

Next
Built with

Authentication

AuthorizationBearer

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

external_idstringRequired
The unique external identifier of the shift rate to retrieve.

Response

Shift rate retrieved successfully.
dataobject

Errors

401
Unauthorized Error
403
Forbidden Error